Thread Rating:
  • 13 Vote(s) - 4.08 Average
  • 1
  • 2
  • 3
  • 4
  • 5
[For 1.8] Thank You/Like System v3.4.1 + MyAlerts and Tapatalk support
@pandabb Test if you wish the new converter, all have to work fine without ny ris of data lose, so you can install this plugin, then run converter and finaally delete it. (All after run update script for MyBB 1.8.x series).

@mujeebdgk, @lelo, @Eldenroot thans for your effort i finish tests on my board and i think this version was stable to be used by users on live forums, so till now only have to test more the converter on non live forums yet please until all goes fine on test boards then use it on live boards (only converter).

Well see yan in next release then, when you upload it here tell me to work on new releases on github when i have some free time, right now i have to set all my pends on second terms to release this, but now it's finished and working.

Thanks for all reports and sugerences, right now i'm working on my system yet with more than one extra improvement so i share my converter for my system modified for this release but no testers and no results yet, only me works on this so have to test yet on converters and my system latest version.

And finally thanks to all users to use it and special thanks to mybb team who inspires to follow working on this script.
The only infinite thing is the universe and human stupidity, but the universe is not for sure

Plugins 1.6.x

Plugins 1.8.x

Reply
Thank you/like System v1.9.4 has been released! All reported issues related to MyAlerts v2.0 were fixed by @Dark Neo! Amazing job, thank you very much! Keep excellent job.

Changelog:
- FIXED: MyAlerts v2.0 integration - alerts are registered and shown correctly now!
- FIXED: Issue with poor performace in some circumstances (long loading time)
- FIXED: Small template changes
- NEW FEATURE: Converters for easy transfer from others Thanks/like system without data loss!*
*Note: just run http://yourforum.com/converter.php

Please, update to the newest release!
[MyBB 1.8 Czech translation] [MyBB 1.8 plugins]: Prune old PMs + optimize DB plugin --- Thank you/like system
Reply
I currently have v1.8 installed. How should I go about upgrading to v1.9.4?
Reply
upgrading suppose you have aanother ThankYouLike on your forum, only upload all files and run deactivate and activate function of plugin again to make all posible changes to maake ir work fine.

If you have another thanks system you have to use converter (i doubt it, but maaybe is the case).

And finally run recount task if necesary to load all posible missing data.

That's all !!!

Configure as you wish and done.

If you have some lesser version like 1.9.3 only upload all files via ftp and it's done !! but versions lesser have to run run deactivate and activate plugin function again and that's all !!!
The only infinite thing is the universe and human stupidity, but the universe is not for sure

Plugins 1.6.x

Plugins 1.8.x

Reply
Thanks. I didn't know v1.9.4 is a dev version, so I updated to v1.9.3 stable with no issues. I know this is a stupid question, but is the v1.9.4 dev version recommended for live sites?
Reply
hmn, uploaded and overwrote the old files, but the plugin version in the acp is still showing 1.9.3...

(2015-05-28, 09:03 AM)Eldenroot Wrote: Guys, you have to activate and deactivate plugin to register these alerts into myalerts


EDIT: Please also check showthread templates -> and check if you dont have multiple times JS script for thankyoulike added - if yes, delete them ald leave only one

after updating to 1.9.4, the myalerts are registering, but not showing up...even after deactivating/activating thank you/like plugin. I then checked the showthread template and this is how it looks:

<script type="text/javascript" src="{$mybb->settings['bburl']}/jscripts/thankyoulike.js"></script>
<script type="text/javascript">
<!--
	var tylEnabled = "{$mybb->settings['g33k_thankyoulike_enabled']}";
	var tylCollapsible = "{$mybb->settings['g33k_thankyoulike_collapsible']}";
	var tylUser = "{$mybb->user['uid']}";
-->
</script>
<script type="text/javascript" src="{$mybb->settings['bburl']}/jscripts/thankyoulike.js"></script>
<script type="text/javascript">
<!--
	var tylEnabled = "{$mybb->settings['g33k_thankyoulike_enabled']}";
	var tylCollapsible = "{$mybb->settings['g33k_thankyoulike_collapsible']}";
	var tylUser = "{$mybb->user['uid']}";
	var tylSend = "{$lang->tyl_send}";
	var tylRemove = "{$lang->tyl_remove}";
-->
</script>
<script type="text/javascript" src="{$mybb->settings['bburl']}/jscripts/thankyoulike.js"></script>
<script type="text/javascript">
<!--
	var tylEnabled = "{$mybb->settings['g33k_thankyoulike_enabled']}";
	var tylCollapsible = "{$mybb->settings['g33k_thankyoulike_collapsible']}";
	var tylUser = "{$mybb->user['uid']}";
	var tylSend = "{$lang->tyl_send}";
	var tylRemove = "{$lang->tyl_remove}";
-->
</script>

I imagine a few of those should be removed, huh?
Reply
Yes, remove them and leave only one JS - this was a bug in 1.9.3 - now it should be OK. We tested it and everything works fine with 1.9.4

@Marc A - no, please use the latest version v1.9.4 - it was set to stable but it takes some time to mybb team - they need to manually add stable label
[MyBB 1.8 Czech translation] [MyBB 1.8 plugins]: Prune old PMs + optimize DB plugin --- Thank you/like system
Reply
(2015-06-01, 06:30 AM)Eldenroot Wrote: Yes, remove them and leave only one JS - this was a bug in 1.9.3 - now it should be OK. We tested it and everything works fine with 1.9.4

@Marc A - no, please use the latest version v1.9.4 - it was set to stable but it takes some time to mybb team - they need to manually add stable label

I removed all of the extra js so it looks like this:

<!-- jeditable (jquery) -->
<script type="text/javascript" src="{$mybb->asset_url}/jscripts/report.js?ver=1804"></script>
<script src="{$mybb->asset_url}/jscripts/jeditable/jeditable.min.js"></script>
<script type="text/javascript" src="{$mybb->asset_url}/jscripts/thread.js?ver=1804"></script>
<script type="text/javascript" src="{$mybb->settings['bburl']}/jscripts/thankyoulike.js"></script>
<script type="text/javascript">
<!--
	var tylEnabled = "{$mybb->settings['g33k_thankyoulike_enabled']}";
	var tylCollapsible = "{$mybb->settings['g33k_thankyoulike_collapsible']}";
	var tylUser = "{$mybb->user['uid']}";
	var tylSend = "{$lang->tyl_send}";
	var tylRemove = "{$lang->tyl_remove}";
-->
</script>
</head>

it's still not showing the alert though when I click on alerts. also, why does the plugin say 1.9.3 if it's supposed to be 1.9.4?

edit: ah, it looks like I downloaded the stable version on the mybb downloads page versus the dev version...

had to delete the extra js code in the showthread template again. this is how it looks now:

<!-- jeditable (jquery) -->
<script type="text/javascript" src="{$mybb->asset_url}/jscripts/report.js?ver=1804"></script>
<script src="{$mybb->asset_url}/jscripts/jeditable/jeditable.min.js"></script>
<script type="text/javascript" src="{$mybb->asset_url}/jscripts/thread.js?ver=1804"></script>
<script type="text/javascript" src="{$mybb->settings['bburl']}/jscripts/thankyoulike.js"></script>
<script type="text/javascript">
<!--
	var tylEnabled = "{$mybb->settings['g33k_thankyoulike_enabled']}";
	var tylCollapsible = "{$mybb->settings['g33k_thankyoulike_collapsible']}";
	var tylUser = "{$mybb->user['uid']}";
	var tylSend = "{$lang->tyl_send}";
	var tylRemove = "{$lang->tyl_remove}";
-->
</script>
</head>
<body>

the likes are now showing in the alerts, however there's an () at the end of the alert..not sure what it's supposed to display and whether or not it's a bug..

[Image: wXYgpRQ.jpg]
Reply
It suposes to be inside () date, but maybe you move it on lang file, becaause appears on other side, like avatar, maybe it's a bug i dunno.

But i think is not, the functionallity is like my site, Big Grin so i thin maaybe just a missing value taken on lang files, only remve it then if you wanna use date outside, see yah !!

Anywaay it supposes to show 1.9.4 on admincp on latest release and when you deactivate and activaate delete and add all posible values, only when you have restrictions, or 1.8.5 some values are missing and others are puted on another templates, right now maany users haave trubles with this thing because perhaps some injection code vulnerabilities inside core of 1.8.5 on admincp i think and causes on boards some errors and aanother injections i think with templates and modal boxes, not sure at all, but i'm searching the reason to report on private inqueries, but without a probe of that i doubt it at all to report some that i dunno how is to do it, only now there are some error with functions replace on admin cp and maybe error with modal boxes, because some code are puted alone when i run it on a test 1.8.5 clean board.

You have to review template changes if use 1.8.5 but lesser versions have no errors as far as i know by my own tests and users of my forum, but with 1.8.5 many ussers have a lot of errors right now.
The only infinite thing is the universe and human stupidity, but the universe is not for sure

Plugins 1.6.x

Plugins 1.8.x

Reply
(2015-06-01, 07:55 PM)Dark Neo Wrote: It suposes to be inside () date, but maybe you move it on lang file, becaause appears on other side, like avatar, maybe it's a bug i dunno.

But i think is not, the functionallity is like my site, Big Grin so i thin maaybe just a missing value taken on lang files, only remve it then if you wanna use date outside, see yah !!

Anywaay it supposes to show 1.9.4 on admincp on latest release and when you deactivate and activaate delete and add all posible values, only when you have restrictions, or 1.8.5 some values are missing and others are puted on another templates, right now maany users haave trubles with this thing because perhaps some injection code vulnerabilities inside core of 1.8.5 on admincp i think and causes on boards some errors and aanother injections i think with templates and modal boxes, not sure at all, but i'm searching the reason to report on private inqueries, but without a probe of that i doubt it at all to report some that i dunno how is to do it, only now there are some error with functions replace on admin cp and maybe error with modal boxes, because some code are puted alone when i run it on a test 1.8.5 clean board.

You have to review template changes if use 1.8.5 but lesser versions have no errors as far as i know by my own tests and users of my forum, but with 1.8.5 many ussers have a lot of errors right now.

shall I open an issue for the thank you/like alert on github?

the issue is that 1.9.4 on the mods site isn't showing up as a stable release so when you download it using the download button, it'll download whatever the latest stable release is (1.9.3), it seems. if you click on the 1.9.4 dev build, you can download it that way. eldenroot probably needs to adjust this.
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)